@import "~bootstrap/dist/css/bootstrap.css";
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$test-chat-primary: mat-palette($mat-indigo);
$test-chat-accent: mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$test-chat-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$test-chat-theme: mat-light-theme((
  color: (
    primary: $test-chat-primary,
    accent: $test-chat-accent,
    warn: $test-chat-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($test-chat-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body {
    margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif;
    background: #333333;
    color: #F2F2F2;
}

$green: #86BB71;
$blue: #0400D1;
$orange: #E38968;
$gray: #828282;

*, *:before, *:after {
    box-sizing: border-box;
}

.container {
    margin: 15px auto;
}

.chat {
    background: #333333;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;

    color: #F2F2F2;

    ul {
        list-style-type: none;
    }

    .chat-header {
        padding: 20px;
        border-top: 5px solid #232323;
        border-left: 5px solid #232323;
        border-right: 5px solid #232323;

        img {
            float: left;
        }

        .chat-about {
            float: left;
            padding-left: 10px;
            margin-top: 6px;
        }

        .chat-with {
            font-weight: bold;
            font-size: 16px;
        }

        .chat-num-messages {
            color: $gray;
        }

        .fa-star {
            float: right;
            color: #D8DADF;
            font-size: 20px;
            margin-top: 12px;
        }

        .profile {
            margin-top: 14px;
        }
    }

    .profile-img {
        border: 2px solid #F2F2F2;
        border-radius: 50px;
    }

    .chat-history {
        padding: 30px 30px 20px;
        border: 5px solid #232323;
        overflow-y: scroll;
        height: 575px;

        .message-data {
            margin-bottom: 15px;
        }

        .message-data-time {
            color: lighten($gray, 8%);
            padding-left: 6px;
        }

        .message {
            color: white;
            padding: 15px;
            line-height: 26px;
            font-size: 16px;
            border-radius: 7px;
            margin-bottom: 10px;
            width: 51%;
            position: relative;
        }

        .message-details {
            color: white;
            padding: 5px;
            font-size: 12px;
            margin-bottom: 10px;
            width: 51%;
            text-align: right;
        }

        .my-message {
            background: $gray;

            &:after, &:before {
                right: 100%;
                top: 50%;
                border: solid transparent;
                content: " ";
                height: 0;
                width: 0;
                position: absolute;
                pointer-events: none;
            }

            &:after {
                border-right-color: $gray;
                border-width: 10px;
                margin-top: -10px;
            }
        }

        .other-message {
            background: $blue;

            &:after, &:before {
                left: 100%;
                top: 50%;
                border: solid transparent;
                content: " ";
                height: 0;
                width: 0;
                position: absolute;
                pointer-events: none;
            }

            &:after {
                border-left-color: $blue;
                border-width: 10px;
                margin-top: -10px;
            }
        }

    }

    .chat-message {
        border-bottom: 5px solid #232323;
        border-left: 5px solid #232323;
        border-right: 5px solid #232323;

        textarea {
            width: 100%;
            border: none;
            padding: 10px 20px;
            font: 14px/22px "Lato", Arial, sans-serif;
            margin-bottom: 10px;
            border-radius: 5px;
            resize: none;
            background: transparent;
            color: #F2F2F2;

            &:focus {
                border: none;
                overflow: auto;
                outline: none;

                -webkit-box-shadow: none;
                -moz-box-shadow: none;
                box-shadow: none;

            }
        }

        .fa-file-o, .fa-file-image-o {
            font-size: 16px;
            color: gray;
            cursor: pointer;

        }

        button {
            background: transparent;
            position: absolute;
            bottom: 45%;
            right: 1%;
            border: none;
            cursor: pointer;
        }
    }
}

.align-left {
    text-align: left;
}

.align-right {
    text-align: right;
}

.float-right {
    float: right;
}

.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}

.message-interaction-box {
    border-top: 2px solid #232323;
    border-right: 2px solid #232323;
    border-left: 2px solid #232323;
    padding: 10px;
    text-align: center;
}

.last-box {
    border-bottom: 2px solid #232323;
}

.tools-interaction-box {
    border-left: 5px solid #232323;
    border-right: 5px solid #232323;
    border-top: 5px solid #232323;
    padding: 10px;
    text-align: center;
}

.search-box {
    width: 84%;
    text-align: left;
    color: #4F4F4F;
    font-size: 18px;
}
